/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zkplus.spring.SpringUtil;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConexionConf;
import com.rjconsultores.ventaboletos.service.ConexionConfService;
import com.rjconsultores.ventaboletos.vo.parada.ParadaVOConexionRuta;

/**
 * 
 * @author wallace
 */
public class RenderConexionPorRuta implements ListitemRenderer {
	private boolean changeColor = true;
	private static long grupo = 0;
	private static long grupoConexionCtrl = 0;
	private ConexionConfService conexionConfService = (ConexionConfService) SpringUtil.getBean("conexionConfService");
	private String style1 = "Font-weight:bold;background-color: #858a8a";
	private String style2 = "Font-weight:bold;background-color: #535757";
	private String styleDesativada1 = "Font-weight:bold;background-color: #A52A2A";
	private String styleDesativada2 = "Font-weight:bold;background-color: #800000";

	private void setStyle(Listcell lc, ConexionConf conexionConf) {
		lc.setStyle(changeColor ? style1 : style2);
		if (conexionConf != null && conexionConf.getIndisponible() != null && conexionConf.getIndisponible()) {
			lc.setStyle(changeColor ? styleDesativada1 : styleDesativada2);
		}
	}

	public void render(Listitem lstm, Object o) throws Exception {
		
		ParadaVOConexionRuta conexion = (ParadaVOConexionRuta) o;
		ConexionConf conexionConf = null;
		
		Listcell lc = new Listcell(conexion.getParadaOrigem().getDescparada());
//		setStyle(lc, conexionConf);
		lc.setParent(lstm);

		lc = new Listcell(conexion.getParadaDestino().getDescparada());
//		setStyle(lc, conexionConf);
		lc.setParent(lstm);


		lstm.setValue(conexion);
	}
}
